<%
            String nom = request.getParameter("nom");

            if (nom == null || nom.isEmpty()) {
                nom = "<br>Name is required.";
                out.print("Error: " + nom);
            } else {
                out.print("Hello: " + nom); // Return the data to the caller.
            }
%>
